View Issue Details

IDCategoryLast Update
0006147features2017-12-14 19:12
Reporterdon3Assigned To 
ReproducibilityN/A 
Status newResolutionopen 
Product Version 
Fixed in Version 
Summary0006147: Idea for new marker type
DescriptionI'd like to propose a new marker type that could be displayed alongside other markers, but instead of being fixed to the timeline, "sticks" to the underlying audio in a region.

Use case: Quite often I put markers in certain places in recorded audio -- for example, to mark places I intend to cut/join with something else, fade in or out, address some issue. Currently, as I move any of those regions around, I have to carefully move any such markers manually by the same amount, which is easy to mess up. (First one has to recognize/remember which markers should move with the audio and which shouldn't, and select only those that should.) It would be great if instead, these markers would stay exactly where I placed them in the audio.

This would also imply that when the same audio is visible in different regions, any markers fixed to (the visible parts of) that audio would appear multiple times.
Additional InformationIf such a facility existed, it could also allow using markers at boundaries between recording "segments" (my term) that are contained within one physical audio file within Ardour. Currently in such cases one can re-size a recorded region beyond its original size, crossing into another "segment" without realizing it. (I haven't tried this recently, but I assume it's still the case.)
TagsNo tags attached.

Relationships

related to 0004128 new Per-region markers 

Activities

mhartzel

2016-03-08 18:38

reporter   ~0018051

Just a thought from another Ardour user: If I understand you correctly you just would like to have a text move with a region when it is moved.

You can already do this by renaming a region to anything you want. Just double click a region and give it a name. You can also combine several regions on a track to a single region and give it a name that describes it.

You can combine regions by first selecting them, then right clicking on one and selecting from the menu that appears: Selected Regions / Edit / Combine. Then just double click on the combined region and give it a name.

I think this way is a much cleaner solution to marking takes than having an additional timeline with region fixed markers. When you start to use more than one marker you soon have them cover each other, preventing you from seeing the text. This would be caused by the fact that there would be only one place in time for all the tracks where you can place information without it being overlapped.

When you just combine regions and rename them you won't have this problem, because each track has it's own space to show region name information.

I hope that some day Ardour will be able to also combine regions across tracks as a large multi track "super region". This helps you combine audio to larger chunks (for example one for each chapter in a play) and easily change their position to try different ways to order the audio. You can do this in Pro Tools.

don3

2016-03-09 02:43

reporter   ~0018054

Last edited: 2016-03-09 02:45

View 2 revisions

"If I understand you correctly you just would like to have a text move with a region when it is moved."

I think that's what MRopenG is asking about on the forum: https://community.ardour.org/node/13446

What I'm proposing here, and what I think colinf is also proposing in 0004128 (which unfortunately I didn't see when I opened this one), is a new type of marker that stays in a fixed position on the underlying audio. I gave a couple example use cases in the description above (I have others), and colinf also gave a couple. His xrun example is perhaps the clearest, in that it has nothing to do with people's individual work flows: xrun markers point to a particular frame in the audio, and should always do so, regardless of where that audio appears in region(s) or where on the timeline the regions might be moved to.

(Note that 0003431 asks specifically for marks that are fixed to the region, but then the use case mentions that they should stick to the waveform, which I think would be consistent with 0004128 and 0006147. I think I could see a use for marks that stick to regions also. So perhaps we could generalize a bit and talk about marker types that stick to audio, regions, or the timeline, and possibly as a separate attribute, are play-list specific as well.)

Regarding what I might call "marker congestion" on the time line... I had imagined the different types of markers all sharing one "lane" and being differentiated by color (or some other visual attribute), but I suppose there could be separate lanes for the different marker types. Or maybe that could be an option -- either show them separately or consolidate into one lane. Just throwing out ideas there.

mhartzel

2016-03-09 17:24

reporter   ~0018055

I see what you mean :) The trickiest part probably is implementing a sane the user interface for the feature. It needs to handle situations like:

1. What happens when the user moves the start edge of the region beyond the point where the "marker" was tied to. Does the marker vanish or is it still shown on top of non existing audio.

2. What happens when the user cuts out and deletes the part of the region the "marker" was tied to.

3. What happens when user first makes nro 1. and then moves the region edge back again revealing the point where the "marker" was tied to.

It's not a straight forward thing to implement this thing.

Maybe the markers could be presented as tooltips when a modifier key (alt, shift, ctrl) was pressed and the mouse pointer is hovered on a region. The corresponding points in the region where the text is tied to might be presented as vertical lines on top of the region. Then you wouldn't have the "overlapping markers" problem and you wouldn't have to have a dedicated part of the UI to show the "markers".

don3

2016-03-10 04:43

reporter   ~0018059

What I have in mind for markers that are fixed to underlying audio is that they should be visible whenever the samples they're tied to are visible, very much like the way waveforms are displayed. Specifically for the situations you mention:

1. The marker would vanish.

2. The marker would vanish.

3. The marker would re-appear.

And if the same span of audio containing marker(s) appears in more than one region, those marker(s) would appear multiple times -- just like the display of waveforms.

To me it's straightforward to imagine how this would work, but since I don't know the code, I can't say how feasible it would be to implement.

I had assumed that the markers would be displayed in the usual marker lane (I assume no new UI elements needed for that) -- but there might be better ideas, such an alternate lane, or as you suggest, displaying them in the regions rather than up top. Regardless of where they're displayed, I would want them to behave like markers otherwise -- for example, if snap/grid mode is set to grid or magnetic on markers, it should work with this type of markers as well. And although I've been saying they should be "fixed" to audio, it should be possible to explicitly move them. (Well, one would not normally want to move xrun markers, but in general...)

I guess the overlapping markers issue depends on things like how far they are apart, zoom level, and length of the strings used. I hadn't considered using a large enough number of this new type of marker, or such long strings that it would be a significantly bigger issue than it is with markers today. I can see how it might be nice to support some kind of arbitrary-length annotations fixed to points in audio, regions, and/or the timeline (MRopenG's idea), but I think it's mostly orthogonal to what I had requested here. Perhaps all markers could allow for annotations with a context-click and a visual flag that indicates when an annotation is present.

mhartzel

2016-03-11 21:51

reporter   ~0018062

I'm not a Ardour developer, so I have no say in this, but I can see that this could be a useful feature to have. For example when one records the same live show many nights in a row and then needs to cut the best parts together. It would help if you could mark the good and bad parts, mistakes that needs to be recorded again after the fact, etc.

Ardour now has a undocumented feature "Place Transient" with which the user can place a vertical line on top of a region and move it around. You get this by selecting "Region / Edit / Place Transient" from the edit - window menu.

Imagine if you could place comments like this on regions. Comments could be shown as a green vertical line on top of a region and xruns as red ones. Hovering the mouse over a comment line for more than 1 second could bring up the text for this comment as a tool tip.

There are many cases where the behaviour of such region comments needs to be defined.

- What happens when the user combines many regions with comments to a new big region.
- What happens when the user makes a "destructive" operation on the region that creates a new file of the audio in the region.

Issue History

Date Modified Username Field Change
2015-01-22 17:52 don3 New Issue
2015-01-22 19:01 colinf Relationship added related to 0004128
2016-03-08 18:38 mhartzel Note Added: 0018051
2016-03-09 02:43 don3 Note Added: 0018054
2016-03-09 02:45 don3 Note Edited: 0018054 View Revisions
2016-03-09 17:24 mhartzel Note Added: 0018055
2016-03-10 04:43 don3 Note Added: 0018059
2016-03-11 21:51 mhartzel Note Added: 0018062